Help us improve by taking our short survey: https://www.hdfgroup.org/website-survey/

| HDF5 Last Updated on 2025-11-11 The HDF5 Field Guide

- Main Page
- Getting started
- User Guide
- Reference Manual
- Cookbook
- Technical Notes
- RFCs
- Specifications
- Glossary
- Full-Text Search
- About

Loading...
Searching...
No Matches
Static Public Member Functions | Static Public Attributes
H5 Class Reference
Inheritance diagram for H5:

## Static Public Member Functions
static final int | getOpenIDCount ()
static final Collection< Long > | getOpenIDs ()
static int | H5Aclose (long attr_id) throws HDF5LibraryException
static synchronized native int | H5Acopy (long src_aid, long dst_aid) throws HDF5LibraryException
static long | H5Acreate (long loc_id, String attr_name, long type_id, long space_id, long acpl_id, long aapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Acreate_by_name (long loc_id, String obj_name, String attr_name, long type_id, long space_id, long acpl_id, long aapl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Adelete (long loc_id, String name) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Adelete_by_idx (long loc_id, String obj_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Adelete_by_name (long loc_id, String obj_name, String attr_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Aexists (long obj_id, String attr_name) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Aexists_by_name (long loc_id, String obj_name, String attr_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aget_create_plist (long attr_id) throws HDF5LibraryException
static synchronized native H5A_info_t | H5Aget_info (long attr_id) throws HDF5LibraryException
static synchronized native H5A_info_t | H5Aget_info_by_idx (long loc_id, String obj_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5A_info_t | H5Aget_info_by_name (long loc_id, String obj_name, String attr_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native String | H5Aget_name (long attr_id) throws HDF5LibraryException
static synchronized native String | H5Aget_name_by_idx (long attr_id, String obj_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aget_space (long attr_id) throws HDF5LibraryException
static synchronized native long | H5Aget_storage_size (long attr_id) throws HDF5LibraryException
static long | H5Aget_type (long attr_id) throws HDF5LibraryException
static synchronized native int | H5Aiterate (long loc_id, int idx_type, int order, long idx, H5A_iterate_cb op, H5A_iterate_t op_data) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aiterate_by_name (long loc_id, String obj_name, int idx_type, int order, long idx, H5A_iterate_cb op, H5A_iterate_t op_data, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aopen (long obj_id, String attr_name, long aapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aopen_by_idx (long loc_id, String obj_name, int idx_type, int order, long n, long aapl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Aopen_by_name (long loc_id, String obj_name, String attr_name, long aapl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread (long attr_id, long mem_type_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread (long attr_id, long mem_type_id, byte[] obj, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread (long attr_id, long mem_type_id, Object obj) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Aread (long attr_id, long mem_type_id, Object obj, boolean isCriticalPinning) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_double (long attr_id, long mem_type_id, double[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_double (long attr_id, long mem_type_id, double[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_float (long attr_id, long mem_type_id, float[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_float (long attr_id, long mem_type_id, float[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_int (long attr_id, long mem_type_id, int[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_int (long attr_id, long mem_type_id, int[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_long (long attr_id, long mem_type_id, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_long (long attr_id, long mem_type_id, long[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_reg_ref (long attr_id, long mem_type_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Aread_short (long attr_id, long mem_type_id, short[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_short (long attr_id, long mem_type_id, short[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_string (long attr_id, long mem_type_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Aread_VLStrings (long attr_id, long mem_type_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5AreadComplex (long attr_id, long mem_type_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5AreadVL (long attr_id, long mem_type_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Arename (long loc_id, String old_attr_name, String new_attr_name) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Arename_by_name (long loc_id, String obj_name, String old_attr_name, String new_attr_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite (long attr_id, long mem_type_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite (long attr_id, long mem_type_id, byte[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite (long attr_id, long mem_type_id, Object obj) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite (long attr_id, long mem_type_id, Object obj, boolean isCriticalPinning) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_double (long attr_id, long mem_type_id, double[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_double (long attr_id, long mem_type_id, double[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_float (long attr_id, long mem_type_id, float[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_float (long attr_id, long mem_type_id, float[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_int (long attr_id, long mem_type_id, int[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_int (long attr_id, long mem_type_id, int[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_long (long attr_id, long mem_type_id, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_long (long attr_id, long mem_type_id, long[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Awrite_short (long attr_id, long mem_type_id, short[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_short (long attr_id, long mem_type_id, short[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_string (long attr_id, long mem_type_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Awrite_VLStrings (long attr_id, long mem_type_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5AwriteVL (long attr_id, long mem_type_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5check_version (int majnum, int minnum, int relnum)
static synchronized native int | H5close () throws HDF5LibraryException
static int | H5Dclose (long dataset_id) throws HDF5LibraryException
static synchronized native int | H5Dcopy (long src_did, long dst_did) throws HDF5LibraryException
static long | H5Dcreate (long loc_id, String name, long type_id, long space_id, long lcpl_id, long dcpl_id, long dapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Dcreate_anon (long loc_id, long type_id, long space_id, long dcpl_id, long dapl_id) throws HDF5LibraryException
static synchronized native void | H5Dfill (byte[] fill, long fill_type, byte[] buf, long buf_type, long space_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Dflush (long dset_id) throws HDF5LibraryException
static synchronized native long | H5Dget_access_plist (long dset_id) throws HDF5LibraryException
static long | H5Dget_create_plist (long dataset_id) throws HDF5LibraryException
static synchronized native long | H5Dget_offset (long dset_id) throws HDF5LibraryException
static long | H5Dget_space (long dataset_id) throws HDF5LibraryException
static synchronized native int | H5Dget_space_status (long dset_id) throws HDF5LibraryException
static synchronized native long | H5Dget_storage_size (long dataset_id) throws HDF5LibraryException, IllegalArgumentException
static long | H5Dget_type (long dataset_id) throws HDF5LibraryException
static synchronized native int | H5Diterate (byte[] buf, long buf_type, long space_id, H5D_iterate_cb op, H5D_iterate_t op_data) throws HDF5LibraryException, NullPointerException
static long | H5Dopen (long loc_id, String name, long dapl_id) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, byte[] obj, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object obj) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Dread (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object obj, boolean isCriticalPinning) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_double (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, double[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_double (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, double[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_float (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, float[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_float (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, float[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_int (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, int[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_int (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, int[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_long (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_long (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, long[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_reg_ref (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dread_short (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, short[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_short (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, short[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_string (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dread_VLStrings (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5DreadVL (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Drefresh (long dset_id) throws HDF5LibraryException
static synchronized native void | H5Dset_extent (long dset_id, long size[]) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Dvlen_get_buf_size (long dset_id, long type_id, long space_id) throws HDF5LibraryException
static synchronized native int | H5Dvlen_reclaim (long type_id, long space_id, long xfer_plist_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, byte[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object obj) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object obj, boolean isCriticalPinning) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_double (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, double[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_double (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, double[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_float (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, float[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_float (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, float[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_int (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, int[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_int (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, int[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_long (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_long (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, long[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Dwrite_short (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, short[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_short (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, short[] buf, boolean isCriticalPinning) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_string (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, String[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Dwrite_VLStrings (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5DwriteVL (long dataset_id, long mem_type_id, long mem_space_id, long file_space_id, long xfer_plist_id, Object[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Eauto_is_v2 (long stack_id) throws HDF5LibraryException
static int | H5Eclear () throws HDF5LibraryException
static void | H5Eclear (long stack_id) throws HDF5LibraryException
static synchronized native void | H5Eclear2 (long stack_id) throws HDF5LibraryException
static synchronized native void | H5Eclose_msg (long err_id) throws HDF5LibraryException
static synchronized native void | H5Eclose_stack (long stack_id) throws HDF5LibraryException
static synchronized native long | H5Ecreate_msg (long cls_id, int msg_type, String msg) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Ecreate_stack () throws HDF5LibraryException
static synchronized native String | H5Eget_class_name (long class_id) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Eget_current_stack () throws HDF5LibraryException
static synchronized native String | H5Eget_msg (long msg_id, int[] type_list) throws HDF5LibraryException
static synchronized native long | H5Eget_num (long stack_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Epop (long stack_id, long count) throws HDF5LibraryException
static synchronized native void | H5Eprint2 (long stack_id, Object stream) throws HDF5LibraryException
static void | H5Epush (long stack_id, String file, String func, int line, long cls_id, long maj_id, long min_id, String msg) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Epush2 (long stack_id, String file, String func, int line, long cls_id, long maj_id, long min_id, String msg) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Eregister_class (String cls_name, String lib_name, String version) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5error_off ()
static synchronized native void | H5error_on ()
static synchronized native void | H5Eset_current_stack (long stack_id) throws HDF5LibraryException
static synchronized native void | H5Eunregister_class (long class_id) throws HDF5LibraryException
static void | H5Ewalk (long stack_id, long direction, H5E_walk_cb func, H5E_walk_t client_data) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Ewalk2 (long stack_id, long direction, H5E_walk_cb func, H5E_walk_t client_data) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5export_attribute (String file_export_name, long dataset_id, String attribute_name, int binary_order) throws HDF5LibraryException
static synchronized native void | H5export_dataset (String file_export_name, long file_id, String object_path, int binary_order) throws HDF5LibraryException
static synchronized native void | H5Fclear_elink_file_cache (long file_id) throws HDF5LibraryException
static int | H5Fclose (long file_id) throws HDF5LibraryException
static long | H5Fcreate (String name, int flags, long create_id, long access_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Fflush (long object_id, int scope) throws HDF5LibraryException
static long | H5Fget_access_plist (long file_id) throws HDF5LibraryException
static long | H5Fget_create_plist (long file_id) throws HDF5LibraryException
static synchronized native boolean | H5Fget_dset_no_attrs_hint (long file_id) throws HDF5LibraryException
static synchronized native long | H5Fget_fileno (long file_id) throws HDF5LibraryException
static synchronized native long | H5Fget_filesize (long file_id) throws HDF5LibraryException
static synchronized native long | H5Fget_freespace (long file_id) throws HDF5LibraryException
static synchronized native H5F_info2_t | H5Fget_info (long obj_id) throws HDF5LibraryException
static synchronized native int | H5Fget_intent (long file_id) throws HDF5LibraryException
static synchronized native double | H5Fget_mdc_hit_rate (long file_id) throws HDF5LibraryException
static synchronized native void | H5Fget_mdc_logging_status (long file_id, boolean[] mdc_logging_status) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Fget_mdc_size (long file_id, long[] metadata_cache) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native String | H5Fget_name (long obj_id) throws HDF5LibraryException
static synchronized native long | H5Fget_obj_count (long file_id, int types) throws HDF5LibraryException
static synchronized native long | H5Fget_obj_ids (long file_id, int types, long max_objs, long[] obj_id_list) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Fis_accessible (String name, long fapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Fis_hdf5 (String name) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Fmount (long loc_id, String name, long child_id, long plist_id) throws HDF5LibraryException, NullPointerException
static long | H5Fopen (String name, int flags, long access_id) throws HDF5LibraryException, NullPointerException
static long | H5Freopen (long file_id) throws HDF5LibraryException
static synchronized native void | H5Freset_mdc_hit_rate_stats (long file_id) throws HDF5LibraryException
static synchronized native void | H5Fset_dset_no_attrs_hint (long file_id, boolean minimize) throws HDF5LibraryException
static synchronized native void | H5Fset_libver_bounds (long file_id, int low, int high) throws HDF5LibraryException
static synchronized native void | H5Fstart_mdc_logging (long file_id) throws HDF5LibraryException
static synchronized native void | H5Fstart_swmr_write (long file_id) throws HDF5LibraryException
static synchronized native void | H5Fstop_mdc_logging (long file_id) throws HDF5LibraryException
static synchronized native int | H5Funmount (long loc_id, String name) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5garbage_collect () throws HDF5LibraryException
static int | H5Gclose (long group_id) throws HDF5LibraryException
static long | H5Gcreate (long loc_id, String name, long lcpl_id, long gcpl_id, long gapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Gcreate_anon (long loc_id, long gcpl_id, long gapl_id) throws HDF5LibraryException
static synchronized native int | H5get_libversion (int[] libversion) throws HDF5LibraryException
static synchronized native void | H5Gflush (long group_id) throws HDF5LibraryException
static synchronized native long | H5Gget_create_plist (long group_id) throws HDF5LibraryException
static synchronized native H5G_info_t | H5Gget_info (long group_id) throws HDF5LibraryException
static synchronized native H5G_info_t | H5Gget_info_by_idx (long group_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5G_info_t | H5Gget_info_by_name (long group_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Gget_obj_info_all (long loc_id, String name, String[] objNames, int[] objTypes, H5O_token_t[] tokens) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Gget_obj_info_all (long loc_id, String name, String[] objNames, int[] objTypes, int[] ltype, H5O_token_t[] tokens, int indx_type) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Gget_obj_info_all (long loc_id, String name, String[] objNames, int[] objTypes, int[] ltype, long[] fno, H5O_token_t[] tokens, int indx_type) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Gget_obj_info_full (long loc_id, String name, String[] objNames, int[] objTypes, int[] ltype, long[] fno, H5O_token_t[] tokens, int indx_type, int indx_order) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Gget_obj_info_idx (long loc_id, String name, int idx, String[] oname, int[] type) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Gget_obj_info_max (long loc_id, String[] objNames, int[] objTypes, int[] lnkTypes, H5O_token_t[] objToken, long objMax) throws HDF5LibraryException, NullPointerException
static synchronized long | H5Gn_members (long loc_id, String name) throws HDF5LibraryException, NullPointerException
static long | H5Gopen (long loc_id, String name, long gapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Grefresh (long group_id) throws HDF5LibraryException
static synchronized native void | H5Iclear_type (int type_id, boolean force) throws HDF5LibraryException
static synchronized native int | H5Idec_ref (long obj_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Idec_type_ref (long type_id) throws HDF5LibraryException
static synchronized native void | H5Idestroy_type (int type_id) throws HDF5LibraryException
static synchronized native long | H5Iget_file_id (long obj_id) throws HDF5LibraryException
static synchronized native String | H5Iget_name (long obj_id) throws HDF5LibraryException
static synchronized native long | H5Iget_name_long (long obj_id, String[] name, long size) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Iget_ref (long obj_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Iget_type (long obj_id) throws HDF5LibraryException
static synchronized native int | H5Iget_type_ref (long type_id) throws HDF5LibraryException
static synchronized native int | H5Iinc_ref (long obj_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Iinc_type_ref (long type_id) throws HDF5LibraryException
static synchronized native boolean | H5Iis_valid (long obj_id) throws HDF5LibraryException
static synchronized native int | H5Inmembers (long type_id) throws HDF5LibraryException
static synchronized native boolean | H5Itype_exists (int type_id) throws HDF5LibraryException
static synchronized native void | H5Lcopy (long src_loc, String src_name, long dst_loc, String dst_name, long lcpl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Lcreate_external (String file_name, String obj_name, long link_loc_id, String link_name, long lcpl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Lcreate_hard (long cur_loc, String cur_name, long dst_loc, String dst_name, long lcpl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Lcreate_soft (String link_target, long link_loc_id, String link_name, long lcpl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Ldelete (long loc_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Ldelete_by_idx (long loc_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Lexists (long loc_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5L_info_t | H5Lget_info (long loc_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5L_info_t | H5Lget_info_by_idx (long loc_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native String | H5Lget_name_by_idx (long loc_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Lget_value (long loc_id, String name, String[] link_value, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Lget_value_by_idx (long loc_id, String group_name, int idx_type, int order, long n, String[] link_value, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Lis_registered (int link_cls_id) throws HDF5LibraryException
static synchronized native int | H5Literate (long grp_id, int idx_type, int order, long idx, H5L_iterate_t op, H5L_iterate_opdata_t op_data) throws HDF5LibraryException
static synchronized native int | H5Literate_by_name (long grp_id, String group_name, int idx_type, int order, long idx, H5L_iterate_t op, H5L_iterate_opdata_t op_data, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Lmove (long src_loc, String src_name, long dst_loc, String dst_name, long lcpl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Lunregister (int link_cls_id) throws HDF5LibraryException
static synchronized native int | H5Lvisit (long grp_id, int idx_type, int order, H5L_iterate_t op, H5L_iterate_opdata_t op_data) throws HDF5LibraryException
static synchronized native int | H5Lvisit_by_name (long loc_id, String group_name, int idx_type, int order, H5L_iterate_t op, H5L_iterate_opdata_t op_data, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Oare_mdc_flushes_disabled (long object_id)
static int | H5Oclose (long object_id) throws HDF5LibraryException
static synchronized native void | H5Ocopy (long src_loc_id, String src_name, long dst_loc_id, String dst_name, long ocpypl_id, long lcpl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Odecr_refcount (long object_id) throws HDF5LibraryException
static synchronized native void | H5Odisable_mdc_flushes (long object_id)
static synchronized native void | H5Oenable_mdc_flushes (long object_id)
static synchronized native boolean | H5Oexists_by_name (long loc_id, String obj_name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Oflush (long object_id) throws HDF5LibraryException
static synchronized native String | H5Oget_comment (long obj_id) throws HDF5LibraryException, IllegalArgumentException
static synchronized native String | H5Oget_comment_by_name (long loc_id, String name, long lapl_id) throws HDF5LibraryException, IllegalArgumentException, NullPointerException
static H5O_info_t | H5Oget_info (long loc_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_info_t | H5Oget_info (long loc_id, int fields) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_info_t | H5Oget_info_by_idx (long loc_id, String group_name, int idx_type, int order, long n, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_info_t | H5Oget_info_by_idx (long loc_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_info_t | H5Oget_info_by_name (long loc_id, String name, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_info_t | H5Oget_info_by_name (long loc_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_native_info_t | H5Oget_native_info (long loc_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_native_info_t | H5Oget_native_info (long loc_id, int fields) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_native_info_t | H5Oget_native_info_by_idx (long loc_id, String group_name, int idx_type, int order, long n, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_native_info_t | H5Oget_native_info_by_idx (long loc_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5O_native_info_t | H5Oget_native_info_by_name (long loc_id, String name, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static H5O_native_info_t | H5Oget_native_info_by_name (long loc_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Oincr_refcount (long object_id) throws HDF5LibraryException
static synchronized native void | H5Olink (long obj_id, long new_loc_id, String new_name, long lcpl_id, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Oopen (long loc_id, String name, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Oopen_by_idx (long loc_id, String group_name, int idx_type, int order, long n, long lapl_id) throws HDF5LibraryException, NullPointerException
static long | H5Oopen_by_token (long loc_id, H5O_token_t token) throws HDF5LibraryException
static synchronized native int | H5open () throws HDF5LibraryException
static synchronized native void | H5Orefresh (long object_id) throws HDF5LibraryException
static synchronized native void | H5Oset_comment (long obj_id, String comment) throws HDF5LibraryException
static synchronized native void | H5Oset_comment_by_name (long loc_id, String name, String comment, long lapl_id) throws HDF5LibraryException, NullPointerException
static int | H5Ovisit (long obj_id, int idx_type, int order, H5O_iterate_t op, H5O_iterate_opdata_t op_data) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Ovisit (long obj_id, int idx_type, int order, H5O_iterate_t op, H5O_iterate_opdata_t op_data, int fields) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Ovisit_by_name (long loc_id, String obj_name, int idx_type, int order, H5O_iterate_t op, H5O_iterate_opdata_t op_data, int fields, long lapl_id) throws HDF5LibraryException, NullPointerException
static int | H5Ovisit_by_name (long loc_id, String obj_name, int idx_type, int order, H5O_iterate_t op, H5O_iterate_opdata_t op_data, long lapl_id) throws HDF5LibraryException, NullPointerException
static boolean | H5P_equal (long plid1, long plid2) throws HDF5LibraryException
static synchronized native boolean | H5Pall_filters_avail (long dcpl_id) throws HDF5LibraryException, NullPointerException
static int | H5Pclose (long plist) throws HDF5LibraryException
static int | H5Pclose_class (long plid) throws HDF5LibraryException
static long | H5Pcopy (long plist) throws HDF5LibraryException
static synchronized native int | H5Pcopy_prop (long dst_id, long src_id, String name) throws HDF5LibraryException
static long | H5Pcreate (long type) throws HDF5LibraryException
static long | H5Pcreate_class_nocb (long parent_class, String name) throws HDF5LibraryException
static synchronized native int | H5Pequal (long plid1, long plid2) throws HDF5LibraryException
static synchronized native boolean | H5Pexist (long plid, String name) throws HDF5LibraryException
static synchronized native int | H5Pfill_value_defined (long plist_id, int[] status) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget (long plid, String name) throws HDF5LibraryException
static synchronized native int | H5Pget_alignment (long plist, long[] alignment) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Pget_alloc_time (long plist_id, int[] alloc_time) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_attr_creation_order (long ocpl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_attr_phase_change (long ocpl_id, int[] attributes) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_btree_ratios (long plist_id, double[] left, double[] middle, double[] right) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_buffer (long plist, byte[] tconv, byte[] bkg) throws HDF5LibraryException, IllegalArgumentException
static synchronized native long | H5Pget_buffer_size (long plist) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pget_cache (long plist, int[] mdc_nelmts, long[] rdcc_nelmts, long[] rdcc_nbytes, double[] rdcc_w0) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_char_encoding (long plist_id) throws HDF5LibraryException
static synchronized native int | H5Pget_chunk (long plist, int max_ndims, long[] dims) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native void | H5Pget_chunk_cache (long dapl_id, long[] rdcc_nslots, long[] rdcc_nbytes, double[] rdcc_w0) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_chunk_opts (long dcpl_id) throws HDF5LibraryException
static synchronized native long | H5Pget_class (long plist) throws HDF5LibraryException
static synchronized native String | H5Pget_class_name (long plid) throws HDF5LibraryException
static synchronized native long | H5Pget_class_parent (long plid) throws HDF5LibraryException
static synchronized native int | H5Pget_copy_object (long ocp_plist_id) throws HDF5LibraryException
static synchronized native boolean | H5Pget_create_intermediate_group (long lcpl_id) throws HDF5LibraryException
static synchronized native long | H5Pget_data_transform (long plist_id, String[] expression, long size) throws HDF5LibraryException, IllegalArgumentException
static synchronized native long | H5Pget_driver (long plid) throws HDF5LibraryException
static synchronized native boolean | H5Pget_dset_no_attrs_hint (long dcpl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_edc_check (long plist) throws HDF5LibraryException
static synchronized native String | H5Pget_efile_prefix (long dapl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_elink_acc_flags (long lapl_id) throws HDF5LibraryException
static long | H5Pget_elink_fapl (long lapl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_elink_file_cache_size (long fapl_id) throws HDF5LibraryException
static synchronized native long | H5Pget_elink_prefix (long lapl_id, String[] prefix) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_est_link_info (long gcpl_id, int[] link_info) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Pget_evict_on_close (long fapl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_external (long plist, int idx, long name_size, String[] name, long[] size) throws ArrayIndexOutOfBoundsException, ArrayStoreException, HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Pget_external_count (long plist) throws HDF5LibraryException
static synchronized native long | H5Pget_family_offset (long fapl_id) throws HDF5LibraryException
static synchronized native void | H5Pget_fapl_core (long fapl_id, long[] increment, boolean[] backing_store) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_fapl_direct (long fapl_id, long[] info) throws HDF5LibraryException
static synchronized native int | H5Pget_fapl_family (long fapl_id, long[] memb_size, long[] memb_fapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native H5FD_hdfs_fapl_t | H5Pget_fapl_hdfs (long fapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Pget_fapl_multi (long fapl_id, int[] memb_map, long[] memb_fapl, String[] memb_name, long[] memb_addr) throws HDF5LibraryException, NullPointerException
static synchronized native H5FD_ros3_fapl_t | H5Pget_fapl_ros3 (long fapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_fclose_degree (long fapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Pget_file_space_page_size (long fcpl_id) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pget_file_space_strategy (long fcpl_id, boolean[] persist, long[] threshold) throws HDF5LibraryException, IllegalArgumentException
static synchronized native boolean | H5Pget_file_space_strategy_persist (long fcpl_id) throws HDF5LibraryException, IllegalArgumentException
static synchronized native long | H5Pget_file_space_strategy_threshold (long fcpl_id) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pget_fill_time (long plist_id, int[] fill_time) throws HDF5LibraryException
static synchronized native int | H5Pget_fill_value (long plist_id, long type_id, byte[] value) throws HDF5Exception
static synchronized int | H5Pget_fill_value (long plist_id, long type_id, Object obj) throws HDF5Exception
static int | H5Pget_filter (long plist, int filter_number, int[] flags, long[] cd_nelmts, int[] cd_values, long namelen, String[] name, int[] filter_config) throws ArrayIndexOutOfBoundsException, ArrayStoreException, HDF5LibraryException, NullPointerException
static int | H5Pget_filter_by_id (long plist_id, long filter_id, int[] flags, long[] cd_nelmts, int[] cd_values, long namelen, String[] name, int[] filter_config) throws ArrayIndexOutOfBoundsException, ArrayStoreException, HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_filter_by_id2 (long plist_id, long filter_id, int[] flags, long[] cd_nelmts, int[] cd_values, long namelen, String[] name, int[] filter_config) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Pget_gc_references (long fapl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_hyper_vector_size (long dxpl_id, long[] vector_size) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Pget_ignore_disabled_file_locking (long fapl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_istore_k (long plist, int[] ik) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_layout (long plist) throws HDF5LibraryException
static synchronized native int | H5Pget_libver_bounds (long fapl_id, int[] libver) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pget_link_creation_order (long gcpl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_link_phase_change (long gcpl_id, int[] links) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Pget_local_heap_size_hint (long gcpl_id) throws HDF5LibraryException
static synchronized native H5AC_cache_config_t | H5Pget_mdc_config (long plist_id) throws HDF5LibraryException
static synchronized native String | H5Pget_mdc_log_options (long fapl_id, boolean[] mdc_log_options) throws HDF5LibraryException
static synchronized native long | H5Pget_meta_block_size (long fapl_id) throws HDF5LibraryException
static synchronized native long | H5Pget_metadata_read_attempts (long plist_id) throws HDF5LibraryException
static synchronized native int | H5Pget_nfilters (long plist) throws HDF5LibraryException
static synchronized native long | H5Pget_nlinks (long lapl_id) throws HDF5LibraryException
static synchronized native long | H5Pget_nprops (long plid) throws HDF5LibraryException
static synchronized native boolean | H5Pget_obj_track_times (long ocpl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_shared_mesg_index (long fcpl_id, int index_num, int[] mesg_info) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Pget_shared_mesg_nindexes (long fcpl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_shared_mesg_phase_change (long fcpl_id, int[] size) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Pget_sieve_buf_size (long fapl_id) throws HDF5LibraryException
static synchronized native long | H5Pget_size (long plid, String name) throws HDF5LibraryException
static synchronized native int | H5Pget_sizes (long plist, long[] size) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native long | H5Pget_small_data_block_size (long plist) throws HDF5LibraryException
static synchronized native int | H5Pget_sym_k (long plist, int[] size) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native boolean | H5Pget_use_file_locking (long fapl_id) throws HDF5LibraryException
static synchronized native int | H5Pget_userblock (long plist, long[] size) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Pget_virtual_count (long dcpl_id) throws HDF5LibraryException, IllegalArgumentException
static synchronized native String | H5Pget_virtual_dsetname (long dcpl_id, long index) throws HDF5LibraryException, IllegalArgumentException
static synchronized native String | H5Pget_virtual_filename (long dcpl_id, long index) throws HDF5LibraryException, IllegalArgumentException
static synchronized native String | H5Pget_virtual_prefix (long dapl_id) throws HDF5LibraryException
static synchronized native long | H5Pget_virtual_printf_gap (long dapl_id) throws HDF5LibraryException
static synchronized native boolean | H5Pget_virtual_spatial_tree (long dapl_id) throws HDF5LibraryException
static synchronized native long | H5Pget_virtual_srcspace (long dcpl_id, long index) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pget_virtual_view (long dapl_id) throws HDF5LibraryException
static synchronized native long | H5Pget_virtual_vspace (long dcpl_id, long index) throws HDF5LibraryException, IllegalArgumentException
static synchronized native void | H5Pinsert2_nocb (long plist, String name, long size, byte[] value) throws HDF5LibraryException
static synchronized native int | H5Pisa_class (long plist, long pclass) throws HDF5LibraryException
static synchronized native int | H5Piterate (long plist, int[] idx, H5P_iterate_cb op, H5P_iterate_t op_data) throws HDF5LibraryException
static synchronized native void | H5PLappend (String plugin_path) throws HDF5LibraryException
static synchronized native String | H5PLget (int index) throws HDF5LibraryException
static synchronized native int | H5PLget_loading_state () throws HDF5LibraryException
static synchronized native void | H5PLinsert (String plugin_path, int index) throws HDF5LibraryException
static synchronized native void | H5PLprepend (String plugin_path) throws HDF5LibraryException
static synchronized native void | H5PLremove (int index) throws HDF5LibraryException
static synchronized native void | H5PLreplace (String plugin_path, int index) throws HDF5LibraryException
static synchronized native void | H5PLset_loading_state (int plugin_flags) throws HDF5LibraryException
static synchronized native int | H5PLsize () throws HDF5LibraryException
static synchronized native int | H5Pmodify_filter (long plist, long filter, int flags, long cd_nelmts, int[] cd_values) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Pregister2_nocb (long plist_class, String name, long size, byte[] def_value) throws HDF5LibraryException
static synchronized native int | H5Premove (long plid, String name) throws HDF5LibraryException
static synchronized native int | H5Premove_filter (long obj_id, long filter) throws HDF5LibraryException
static synchronized native int | H5Pset (long plid, String name, int value) throws HDF5LibraryException
static synchronized native int | H5Pset_alignment (long plist, long threshold, long alignment) throws HDF5LibraryException
static synchronized native int | H5Pset_alloc_time (long plist_id, int alloc_time) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_attr_creation_order (long ocpl_id, int crt_order_flags) throws HDF5LibraryException
static synchronized native void | H5Pset_attr_phase_change (long ocpl_id, int max_compact, int min_dense) throws HDF5LibraryException
static synchronized native int | H5Pset_btree_ratios (long plist_id, double left, double middle, double right) throws HDF5LibraryException
static synchronized native void | H5Pset_buffer_size (long plist, long size) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pset_cache (long plist, int mdc_nelmts, long rdcc_nelmts, long rdcc_nbytes, double rdcc_w0) throws HDF5LibraryException
static synchronized native void | H5Pset_char_encoding (long plist_id, int encoding) throws HDF5LibraryException
static synchronized native int | H5Pset_chunk (long plist, int ndims, byte[] dim) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized int | H5Pset_chunk (long plist, int ndims, long[] dim) throws HDF5Exception, NullPointerException, IllegalArgumentException
static synchronized native void | H5Pset_chunk_cache (long dapl_id, long rdcc_nslots, long rdcc_nbytes, double rdcc_w0) throws HDF5LibraryException
static synchronized native void | H5Pset_chunk_opts (long dcpl_id, int opts) throws HDF5LibraryException
static synchronized native void | H5Pset_copy_object (long ocp_plist_id, int copy_options) throws HDF5LibraryException
static synchronized native int | H5Pset_create_intermediate_group (long lcpl_id, boolean crt_intermed_group) throws HDF5LibraryException
static synchronized native int | H5Pset_data_transform (long plist_id, String expression) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_deflate (long plist, int level) throws HDF5LibraryException
static synchronized native void | H5Pset_dset_no_attrs_hint (long dcpl_id, boolean minimize) throws HDF5LibraryException
static synchronized native int | H5Pset_edc_check (long plist, int check) throws HDF5LibraryException
static synchronized native void | H5Pset_efile_prefix (long dapl_id, String prefix) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_elink_acc_flags (long lapl_id, int flags) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pset_elink_fapl (long lapl_id, long fapl_id) throws HDF5LibraryException
static synchronized native void | H5Pset_elink_file_cache_size (long fapl_id, int efc_size) throws HDF5LibraryException
static synchronized native int | H5Pset_elink_prefix (long lapl_id, String prefix) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_est_link_info (long gcpl_id, int est_num_entries, int est_name_len) throws HDF5LibraryException, IllegalArgumentException
static synchronized native void | H5Pset_evict_on_close (long fapl_id, boolean evict_on_close) throws HDF5LibraryException
static synchronized native int | H5Pset_external (long plist, String name, long offset, long size) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_family_offset (long fapl_id, long offset) throws HDF5LibraryException
static synchronized native int | H5Pset_fapl_core (long fapl_id, long increment, boolean backing_store) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_fapl_direct (long fapl_id, long alignment, long block_size, long cbuf_size) throws HDF5LibraryException
static synchronized native int | H5Pset_fapl_family (long fapl_id, long memb_size, long memb_fapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_fapl_hdfs (long fapl_id, H5FD_hdfs_fapl_t fapl_conf) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Pset_fapl_log (long fapl_id, String logfile, long flags, long buf_size) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Pset_fapl_multi (long fapl_id, int[] memb_map, long[] memb_fapl, String[] memb_name, long[] memb_addr, boolean relax) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_fapl_ros3 (long fapl_id, H5FD_ros3_fapl_t fapl_conf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_fapl_sec2 (long fapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Pset_fapl_split (long fapl_id, String meta_ext, long meta_plist_id, String raw_ext, long raw_plist_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_fapl_stdio (long fapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_fapl_windows (long fapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_fclose_degree (long fapl_id, int degree) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Pset_file_locking (long fapl_id, boolean use_file_locking, boolean ignore_when_disabled) throws HDF5LibraryException
static synchronized native void | H5Pset_file_space_page_size (long fcpl_id, long page_size) throws HDF5LibraryException, IllegalArgumentException
static synchronized native void | H5Pset_file_space_strategy (long fcpl_id, int strategy, boolean persist, long threshold) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pset_fill_time (long plist_id, int fill_time) throws HDF5LibraryException
static synchronized native int | H5Pset_fill_value (long plist_id, long type_id, byte[] value) throws HDF5Exception
static synchronized int | H5Pset_fill_value (long plist_id, long type_id, Object obj) throws HDF5Exception
static synchronized native int | H5Pset_filter (long plist, int filter, int flags, long cd_nelmts, int[] cd_values) throws HDF5LibraryException
static synchronized native int | H5Pset_fletcher32 (long plist) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_gc_references (long fapl_id, boolean gc_ref) throws HDF5LibraryException
static synchronized native int | H5Pset_hyper_vector_size (long dxpl_id, long vector_size) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_istore_k (long plist, int ik) throws HDF5LibraryException
static synchronized native int | H5Pset_layout (long plist, int layout) throws HDF5LibraryException
static synchronized native int | H5Pset_libver_bounds (long fapl_id, int low, int high) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pset_link_creation_order (long gcpl_id, int crt_order_flags) throws HDF5LibraryException
static synchronized native int | H5Pset_link_phase_change (long gcpl_id, int max_compact, int min_dense) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pset_local_heap_size_hint (long gcpl_id, long size_hint) throws HDF5LibraryException
static synchronized native void | H5Pset_mdc_config (long plist_id, H5AC_cache_config_t config_ptr) throws HDF5LibraryException
static synchronized native void | H5Pset_mdc_log_options (long fapl_id, boolean is_enabled, String location, boolean start_on_access) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Pset_meta_block_size (long fapl_id, long size) throws HDF5LibraryException
static synchronized native void | H5Pset_metadata_read_attempts (long plist_id, long attempts) throws HDF5LibraryException
static synchronized native int | H5Pset_nbit (long plist_id) throws HDF5LibraryException
static synchronized native int | H5Pset_nlinks (long lapl_id, long nlinks) throws HDF5LibraryException, IllegalArgumentException
static synchronized native void | H5Pset_obj_track_times (long ocpl_id, boolean track_times) throws HDF5LibraryException
static synchronized native int | H5Pset_scaleoffset (long plist_id, int scale_type, int scale_factor) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pset_shared_mesg_index (long fcpl_id, int index_num, int mesg_type_flags, int min_mesg_size) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pset_shared_mesg_nindexes (long plist_id, int nindexes) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pset_shared_mesg_phase_change (long fcpl_id, int max_list, int min_btree) throws HDF5LibraryException, IllegalArgumentException
static synchronized native int | H5Pset_shuffle (long plist_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Pset_sieve_buf_size (long fapl_id, long size) throws HDF5LibraryException
static synchronized native int | H5Pset_sizes (long plist, int sizeof_addr, int sizeof_size) throws HDF5LibraryException
static synchronized native int | H5Pset_small_data_block_size (long plist, long size) throws HDF5LibraryException
static synchronized native int | H5Pset_sym_k (long plist, int ik, int lk) throws HDF5LibraryException
static synchronized native int | H5Pset_szip (long plist, int options_mask, int pixels_per_block) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Pset_userblock (long plist, long size) throws HDF5LibraryException
static synchronized native void | H5Pset_virtual (long dcpl_id, long vspace_id, String src_file_name, String src_dset_name, long src_space_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native void | H5Pset_virtual_prefix (long dapl_id, String prefix) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Pset_virtual_printf_gap (long dapl_id, long gap_size) throws HDF5LibraryException
static synchronized native void | H5Pset_virtual_spatial_tree (long dapl_id, boolean use_tree) throws HDF5LibraryException
static synchronized native void | H5Pset_virtual_view (long dapl_id, int view) throws HDF5LibraryException
static synchronized native int | H5Punregister (long plid, String name) throws HDF5LibraryException
static synchronized native byte[] | H5Rcopy (byte[] src_ref_ptr) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized byte[] | H5Rcreate (long loc_id, String name, int ref_type, long space_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native byte[] | H5Rcreate_attr (long loc_id, String name, String attr_name, long access_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native byte[] | H5Rcreate_object (long loc_id, String name, long access_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native byte[] | H5Rcreate_region (long loc_id, String name, long space_id, long access_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static long | H5Rdereference (long dataset, long access_list, int ref_type, byte[] ref) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native void | H5Rdestroy (byte[] ref_ptr) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native boolean | H5Requal (byte[] ref1_ptr, byte[] ref2_ptr) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native String | H5Rget_attr_name (byte[] ref_ptr) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native String | H5Rget_file_name (byte[] ref_ptr) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native long | H5Rget_name (long loc_id, int ref_type, byte[] ref, String[] name, long size) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native String | H5Rget_name_string (long loc_id, int ref_type, byte[] ref) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native String | H5Rget_obj_name (byte[] ref_ptr, long rapl_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Rget_obj_type (long loc_id, int ref_type, byte ref[]) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Rget_obj_type3 (byte[] ref_ptr, long rapl_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static long | H5Rget_region (long loc_id, int ref_type, byte[] ref) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Rget_type (byte[] ref_ptr) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static long | H5Ropen_attr (byte[] ref_ptr, long rapl_id, long aapl_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static long | H5Ropen_object (byte[] ref_ptr, long rapl_id, long oapl_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static long | H5Ropen_region (byte[] ref_ptr, long rapl_id, long oapl_id) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static int | H5Sclose (long space_id) throws HDF5LibraryException
static synchronized native long | H5Scombine_hyperslab (long space_id, int op, long[] start, long[] stride, long[] count, long[] block) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native long | H5Scombine_select (long space1_id, int op, long space2_id) throws HDF5LibraryException
static long | H5Scopy (long space_id) throws HDF5LibraryException
static long | H5Screate (int type) throws HDF5LibraryException
static long | H5Screate_simple (int rank, long[] dims, long[] maxdims) throws HDF5Exception, NullPointerException
static synchronized native long | H5Sdecode (byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native byte[] | H5Sencode (long obj_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5set_free_list_limits (int reg_global_lim, int reg_list_lim, int arr_global_lim, int arr_list_lim, int blk_global_lim, int blk_list_lim) throws HDF5LibraryException
static synchronized native int | H5Sextent_copy (long dest_space_id, long source_space_id) throws HDF5LibraryException
static synchronized native boolean | H5Sextent_equal (long first_space_id, long second_space_id) throws HDF5LibraryException
static synchronized native void | H5Sget_regular_hyperslab (long space_id, long[] start, long[] stride, long[] count, long[] block) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Sget_select_bounds (long space_id, long[] start, long[] end) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Sget_select_elem_npoints (long spaceid) throws HDF5LibraryException
static synchronized native int | H5Sget_select_elem_pointlist (long spaceid, long startpoint, long numpoints, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Sget_select_hyper_blocklist (long spaceid, long startblock, long numblocks, long[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Sget_select_hyper_nblocks (long spaceid) throws HDF5LibraryException
static synchronized native long | H5Sget_select_npoints (long space_id) throws HDF5LibraryException
static synchronized native int | H5Sget_select_type (long space_id) throws HDF5LibraryException
static synchronized native int | H5Sget_simple_extent_dims (long space_id, long[] dims, long[] maxdims) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Sget_simple_extent_ndims (long space_id) throws HDF5LibraryException
static synchronized native long | H5Sget_simple_extent_npoints (long space_id) throws HDF5LibraryException
static synchronized native int | H5Sget_simple_extent_type (long space_id) throws HDF5LibraryException
static synchronized native boolean | H5Sis_regular_hyperslab (long space_id) throws HDF5LibraryException
static synchronized native boolean | H5Sis_simple (long space_id) throws HDF5LibraryException
static synchronized native void | H5Smodify_select (long space1_id, int op, long space2_id) throws HDF5LibraryException
static synchronized native int | H5Soffset_simple (long space_id, byte[] offset) throws HDF5LibraryException, NullPointerException
static synchronized int | H5Soffset_simple (long space_id, long[] offset) throws HDF5Exception, NullPointerException
static synchronized native void | H5Sselect_adjust (long space_id, long[][] offset) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Sselect_all (long space_id) throws HDF5LibraryException
static synchronized native void | H5Sselect_copy (long dst_id, long src_id) throws HDF5LibraryException
static synchronized int | H5Sselect_elements (long space_id, int op, int num_elements, long[][] coord2D) throws HDF5Exception, HDF5LibraryException, NullPointerException
static synchronized int | H5Sselect_hyperslab (long space_id, int op, byte[] start, byte[] stride, byte[] count, byte[] block) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Sselect_hyperslab (long space_id, int op, long[] start, long[] stride, long[] count, long[] block) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native boolean | H5Sselect_intersect_block (long space_id, long[] start, long[] end) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Sselect_none (long space_id) throws HDF5LibraryException
static synchronized native long | H5Sselect_project_intersection (long src_space_id, long dst_space_id, long src_intersect_space_id) throws HDF5LibraryException
static synchronized native boolean | H5Sselect_shape_same (long space1_id, long space2_id) throws HDF5LibraryException
static synchronized native boolean | H5Sselect_valid (long space_id) throws HDF5LibraryException
static synchronized native int | H5Sset_extent_none (long space_id) throws HDF5LibraryException
static synchronized long | H5Sset_extent_simple (long space_id, int rank, byte[] current_size, byte[] maximum_size) throws HDF5LibraryException, NullPointerException
static synchronized native long | H5Sset_extent_simple (long space_id, int rank, long[] current_size, long[] maximum_size) throws HDF5LibraryException, NullPointerException
static long | H5Tarray_create (long base_id, int ndims, long[] dim) throws HDF5LibraryException, NullPointerException
static int | H5Tclose (long type_id) throws HDF5LibraryException
static synchronized native void | H5Tcommit (long loc_id, String name, long type_id, long lcpl_id, long tcpl_id, long tapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Tcommit_anon (long loc_id, long type_id, long tcpl_id, long tapl_id) throws HDF5LibraryException
static synchronized native boolean | H5Tcommitted (long type_id) throws HDF5LibraryException
static synchronized native void | H5Tcompiler_conv (long src_id, long dst_id) throws HDF5LibraryException
static long | H5Tcomplex_create (long base_id) throws HDF5LibraryException
static synchronized native void | H5Tconvert (long src_id, long dst_id, long nelmts, byte[] buf, byte[] background, long plist_id) throws HDF5LibraryException, NullPointerException
static long | H5Tcopy (long type_id) throws HDF5LibraryException
static long | H5Tcreate (int tclass, long size) throws HDF5LibraryException
static long | H5Tdecode (byte[] buf, long buf_size) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Tdetect_class (long type_id, int cls) throws HDF5LibraryException
static synchronized native int | H5Tencode (long obj_id, byte[] buf, long nalloc) throws HDF5LibraryException, NullPointerException
static long | H5Tenum_create (long base_id) throws HDF5LibraryException
static synchronized native void | H5Tenum_insert (long type, String name, byte[] value) throws HDF5LibraryException, NullPointerException
static int | H5Tenum_insert (long type, String name, int value) throws HDF5LibraryException, NullPointerException
static int | H5Tenum_insert (long type, String name, int[] value) throws HDF5LibraryException, NullPointerException
static synchronized native String | H5Tenum_nameof (long type, byte[] value, long size) throws HDF5LibraryException, NullPointerException
static int | H5Tenum_nameof (long type, int[] value, String[] name, int size) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Tenum_valueof (long type, String name, byte[] value) throws HDF5LibraryException, NullPointerException
static int | H5Tenum_valueof (long type, String name, int[] value) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Tequal (long type_id1, long type_id2) throws HDF5LibraryException
static synchronized native void | H5Tflush (long dtype_id) throws HDF5LibraryException
static int | H5Tget_array_dims (long type_id, long[] dims) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Tget_array_dims2 (long type_id, long[] dims) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Tget_array_ndims (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_class (long type_id) throws HDF5LibraryException
static String | H5Tget_class_name (long class_id)
static long | H5Tget_create_plist (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_cset (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_ebias (long type_id) throws HDF5LibraryException
static synchronized native long | H5Tget_ebias_long (long type_id) throws HDF5LibraryException
static int | H5Tget_fields (long type_id, int[] fields) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native void | H5Tget_fields (long type_id, long[] fields) throws HDF5LibraryException, NullPointerException, IllegalArgumentException
static synchronized native int | H5Tget_inpad (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_member_class (long type_id, int membno) throws HDF5LibraryException
static synchronized native int | H5Tget_member_index (long type_id, String field_name) throws HDF5LibraryException
static synchronized native String | H5Tget_member_name (long type_id, int field_idx) throws HDF5LibraryException
static synchronized native long | H5Tget_member_offset (long type_id, int membno)
static long | H5Tget_member_type (long type_id, int field_idx) throws HDF5LibraryException
static synchronized native void | H5Tget_member_value (long type_id, int membno, byte[] value) throws HDF5LibraryException, NullPointerException
static int | H5Tget_member_value (long type_id, int membno, int[] value) throws HDF5LibraryException, NullPointerException
static synchronized long | H5Tget_native_type (long type_id) throws HDF5LibraryException
static long | H5Tget_native_type (long type_id, int direction) throws HDF5LibraryException
static synchronized native int | H5Tget_nmembers (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_norm (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_offset (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_order (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_pad (long type_id, int[] pad) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Tget_precision (long type_id) throws HDF5LibraryException
static synchronized native long | H5Tget_precision_long (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_sign (long type_id) throws HDF5LibraryException
static synchronized native long | H5Tget_size (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tget_strpad (long type_id) throws HDF5LibraryException
static long | H5Tget_super (long type) throws HDF5LibraryException
static synchronized native String | H5Tget_tag (long type) throws HDF5LibraryException
static synchronized native int | H5Tinsert (long type_id, String name, long offset, long field_id) throws HDF5LibraryException, NullPointerException
static synchronized native boolean | H5Tis_variable_str (long type_id) throws HDF5LibraryException
static synchronized native int | H5Tlock (long type_id) throws HDF5LibraryException
static long | H5Topen (long loc_id, String name, long tapl_id) throws HDF5LibraryException, NullPointerException
static synchronized native int | H5Tpack (long type_id) throws HDF5LibraryException
static synchronized native void | H5Treclaim (long type_id, long space_id, long xfer_plist_id, byte[] buf) throws HDF5LibraryException, NullPointerException
static synchronized native void | H5Trefresh (long dtype_id) throws HDF5LibraryException
static synchronized native int | H5Tset_cset (long type_id, int cset) throws HDF5LibraryException
static int | H5Tset_ebias (long type_id, int ebias) throws HDF5LibraryException
static synchronized native void | H5Tset_ebias (long type_id, long ebias) throws HDF5LibraryException
static int | H5Tset_fields (long type_id, int spos, int epos, int esize, int mpos, int msize) throws HDF5LibraryException
static synchronized native void | H5Tset_fields (long type_id, long spos, long epos, long esize, long mpos, long msize) throws HDF5LibraryException
static synchronized native int | H5Tset_inpad (long type_id, int inpad) throws HDF5LibraryException
static synchronized native int | H5Tset_norm (long type_id, int norm) throws HDF5LibraryException
static int | H5Tset_offset (long type_id, int offset) throws HDF5LibraryException
static synchronized native void | H5Tset_offset (long type_id, long offset) throws HDF5LibraryException
static synchronized native int | H5Tset_order (long type_id, int order) throws HDF5LibraryException
static synchronized native int | H5Tset_pad (long type_id, int lsb, int msb) throws HDF5LibraryException
static int | H5Tset_precision (long type_id, int precision) throws HDF5LibraryException
static synchronized native void | H5Tset_precision (long type_id, long precision) throws HDF5LibraryException
static synchronized native int | H5Tset_sign (long type_id, int sign) throws HDF5LibraryException
static synchronized native int | H5Tset_size (long type_id, long size) throws HDF5LibraryException
static synchronized native int | H5Tset_strpad (long type_id, int strpad) throws HDF5LibraryException
static synchronized native int | H5Tset_tag (long type, String tag) throws HDF5LibraryException
static long | H5Tvlen_create (long base_id) throws HDF5LibraryException
static synchronized native void | H5VLclose (long connector_id) throws HDF5LibraryException
static synchronized native boolean | H5VLcmp_connector_cls (long conn_id1, long conn_id2) throws HDF5LibraryException
static synchronized native long | H5VLget_connector_id (long object_id) throws HDF5LibraryException
static synchronized native long | H5VLget_connector_id_by_name (String name) throws HDF5LibraryException
static synchronized native long | H5VLget_connector_id_by_value (int connector_value) throws HDF5LibraryException
static synchronized native String | H5VLget_connector_name (long object_id) throws HDF5LibraryException
static synchronized native boolean | H5VLis_connector_registered_by_name (String name) throws HDF5LibraryException
static synchronized native boolean | H5VLis_connector_registered_by_value (int connector_value) throws HDF5LibraryException
static synchronized native long | H5VLregister_connector_by_name (String connector_name, long vipl_id) throws HDF5LibraryException
static synchronized native long | H5VLregister_connector_by_value (int connector_value, long vipl_id) throws HDF5LibraryException
static synchronized native void | H5VLunregister_connector (long connector_id) throws HDF5LibraryException
static synchronized native int | H5Zfilter_avail (int filter) throws HDF5LibraryException
static synchronized native int | H5Zget_filter_info (int filter) throws HDF5LibraryException
static synchronized native int | H5Zunregister (int filter) throws HDF5LibraryException
static void | loadH5Lib ()

## Static Public Attributes
static final String | H5_LIBRARY_NAME_PROPERTY_KEY = "hdf.hdf5lib.H5.loadLibraryName"
static final String | H5PATH_PROPERTY_KEY = "hdf.hdf5lib.H5.hdf5lib"
static final int | LIB_VERSION [] = {2, 0, 0}

## Member Function Documentation

## ◆ H5Aread_float()

static synchronized native int H5Aread_float | ( | long | attr_id,
|  | long | mem_type_id,
|  | float[] | buf,
|  | boolean | isCriticalPinning ) throws HDF5LibraryException, NullPointerException
| static

H5Aread reads an attribute, specified with attr_id. The attribute's memory datatype is specified with mem_type_id. The entire attribute is read into buffer of float from the file.

Parameters

  attr_id | IN: Identifier of an attribute to read.
  mem_type_id | IN: Identifier of the attribute datatype (in memory).
  buf | Buffer of float to store data read from the file.
  isCriticalPinning | request lock on data reference.

Returns
  a non-negative value if successful

Exceptions

  HDF5LibraryException | Error from the HDF5 Library.
  NullPointerException | data buffer is null.

The documentation for this class was generated from the following file:

- java/src-jni/hdf/hdf5lib/H5.java